@base <https://purl.org/coscine/ap/qudt/quantitykind/SpecificHeatCapacity/> .

@prefix dcterms: <http://purl.org/dc/terms/>.
@prefix rdfs: <http://www.w3.org/2000/01/rdf-schema#> .
@prefix sh: <http://www.w3.org/ns/shacl#> .
@prefix xsd: <http://www.w3.org/2001/XMLSchema#> .
@prefix qudt: <http://qudt.org/schema/qudt/> .
@prefix unit: <http://qudt.org/vocab/unit/> .
@prefix coscinetype: <https://purl.org/coscine/terms/types#> .

<https://purl.org/coscine/ap/qudt/quantitykind/SpecificHeatCapacity/>
  a sh:NodeShape, rdfs:Class, coscinetype:Module ;
  dcterms:created "2023-10-12"^^xsd:date;
  dcterms:modified "2023-10-19"^^xsd:date;
  dcterms:creator "Benedikt Heinrichs";
  dcterms:description "Profil für alle Einheiten, die eine Specific Heat Capacity sind."@de,
    "Profile for all units that are a/an Specific Heat Capacity."@en;
  dcterms:license "https://spdx.org/licenses/CC-BY-4.0.html";
  dcterms:title "Einheit: Specific Heat Capacity"@de,
    "Unit: Specific Heat Capacity"@en;

  sh:property
    [
      sh:path qudt:unit ;
      sh:minCount 1 ;
      sh:maxCount 1 ;
      sh:name "Unit"@en , "Einheit"@de ;
      sh:in ( unit:BTU_IT-PER-LB-DEG_F unit:BTU_IT-PER-LB-DEG_R unit:BTU_IT-PER-LB_F-DEG_F unit:BTU_IT-PER-LB_F-DEG_R unit:BTU_TH-PER-LB-DEG_F unit:CAL_IT-PER-GM-DEG_C unit:CAL_IT-PER-GM-K unit:CAL_TH-PER-GM-DEG_C unit:CAL_TH-PER-GM-K unit:J-PER-GM-K unit:J-PER-KiloGM-K unit:KiloCAL-PER-GM-DEG_C ) ;
    ] ;
  sh:property
    [
      sh:path qudt:value ;
      sh:minCount 1 ;
      sh:maxCount 1 ;
      sh:datatype xsd:decimal ;
      sh:name "Value"@en , "Wert"@de ;
      sh:description "Entry must be an integer or a decimal with a point separator (e.g., 2.5)."@en, "Die Eingabe muss eine ganze Zahl oder eine Dezimalzahl mit einem Punkttrennzeichen sein (z. B. 2.5)."@de ;
      sh:message "Entry must be an integer or a decimal with a point separator (e.g., 2.5)."@en, "Die Eingabe muss eine ganze Zahl oder eine Dezimalzahl mit einem Punkttrennzeichen sein (z. B. 2.5)."@de ;
    ] ;
.

unit:BTU_IT-PER-LB-DEG_F rdfs:label "Btu Per Pound Degree Fahrenheit"@en .
unit:BTU_IT-PER-LB-DEG_R rdfs:label "Btu Per Pound Degree Rankine"@en .
unit:BTU_IT-PER-LB_F-DEG_F rdfs:label "British Thermal Unit (International Table) Per Pound Degree Fahrenheit"@en .
unit:BTU_IT-PER-LB_F-DEG_R rdfs:label "British Thermal Unit (International Table) Per Pound Degree Rankine"@en .
unit:BTU_TH-PER-LB-DEG_F rdfs:label "British Thermal Unit (Thermochemical) Per Pound Degree Fahrenheit"@en .
unit:CAL_IT-PER-GM-DEG_C rdfs:label "Calorie (International Table) Per Gram Degree Celsius"@en .
unit:CAL_IT-PER-GM-K rdfs:label "Calorie (International Table) Per Gram Kelvin"@en .
unit:CAL_TH-PER-GM-DEG_C rdfs:label "Calorie (Thermochemical) Per Gram Degree Celsius"@en .
unit:CAL_TH-PER-GM-K rdfs:label "Calorie (Thermochemical) Per Gram Kelvin"@en .
unit:J-PER-GM-K rdfs:label "Joule Per Gram Kelvin"@en .
unit:J-PER-KiloGM-K rdfs:label "Joule Per Kilogram Kelvin"@en, "Joules Per Kilogram Per Kelvin"@en .
unit:KiloCAL-PER-GM-DEG_C rdfs:label "Calorie Per Gram Degree Celsius"@en .
